#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
char buf[200];
int main()
{
    int T, n;
    cin >> T;
    while (T--)
    {
        long long sum = 0;
        cin >> n;
        while (n--)
        {
            scanf("%s", buf);
            if (*buf == 'i')
            {
                sum += 4;
                scanf("%s", buf);
                continue;
            }
            if (*buf == 'b')
            {
                sum += 1;
                scanf("%s", buf);
                continue;
            }
            if (*buf == 'l')
            {
                sum += 8;
                scanf("%s", buf);
                scanf("%s", buf);
                continue;
            }
            if (*buf == 'd')
            {
                sum += 8;
                scanf("%s", buf);
                continue;
            }
            if (*buf == 'c')
            {
                sum += 1;
                scanf("%s", buf);
                continue;
            }
            if (*buf == 'f')
            {
                sum += 4;
                scanf("%s", buf);
                continue;
            }
        }
        cout << ((sum + 1023) >> 10) << endl;
    }
    return 0;
}
